<?php
/**
 * @name		Menu Manager CK
 * @package		com_menumanagerck
 * @copyright	Copyright (C) 2014. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

defined('_JEXEC') or die;
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$user		= JFactory::getUser();
$app		= JFactory::getApplication();

$assoc		= isset($app->item_associations) ? $app->item_associations : 0;
$canEdit    = $user->authorise('core.edit', 'com_menumanagerck');
$hasmaximenumodule = JFile::exists(JPATH_ROOT . '/modules/mod_maximenuck/mod_maximenuck.php');

// get the item parameters
//$item->params = new JRegistry($item->params);
$newcol = $item->params->get('maximenu_createcolumn', 0);
$newrow = $item->params->get('maximenu_createnewrow', 0);

// Parse the link arguments.
$link = htmlspecialchars_decode($item->link);
$args = array();
parse_str(parse_url(htmlspecialchars_decode($link), PHP_URL_QUERY), $args);
if (! isset($args['id']) ) $args['id'] = 0;
if (! isset($args['option']) ) $args['option'] = '';
if (! isset($args['view']) ) $args['view'] = '';
?>

<div class="row itemwrapper">
	<span class="disclose"><span class=""></span></span>
	<div class="disclosure">
		<span class="icon-move"></span>
		<span class="ckbutton-group">
			<a id="publish<?php echo $item->id ?>" class="hasTooltip ckbutton active" rel="" title="<?php echo JText::_('JSTATUS') ?>" data-state="<?php echo $item->apublished ?>" data-id="<?php echo $item->id ?>" onclick="ajaxPublish(this,$ck(this).attr('data-id'), $ck(this).attr('data-state'))" href="javascript:void(0);">
				<i class="icon-<?php echo ($item->apublished ? '' : 'un') ?>publish"></i>
			</a>
			<a class="hasTooltip ckbutton" title="<?php echo JText::_('COM_MENUMANAGERCK_EDIT_ITEM_MODAL') ?>" data-id="<?php echo $item->id ?>" onclick="ckLoadIframeEdition('index.php?option=com_menus&task=item.edit&tmpl=component&id=<?php echo $item->id ?>&<?php echo JSession::getFormToken(); ?>=1', 'ckitemedition<?php echo $item->id ?>', 'item.save', 'item.cancel')" href="javascript:void(0);">
				<i class="icon-out-2"></i>
			</a>
			<?php //echo str_repeat('<span class="gi">|&mdash;</span>', $item->level - 1) ?>
			<?php if ($item->checked_out) : ?>
				<?php
				$text = $item->editor . '<br />' . JHtml::_('date', $item->checked_out_time, JText::_('DATE_FORMAT_LC')) . '<br />' . JHtml::_('date', $item->checked_out_time, 'H:i');
				$active_title = JText::_('JLIB_HTML_CHECKIN') . ' ' . $text;
				//$inactive_title = JHtml::tooltipText(JText::_('JLIB_HTML_CHECKED_OUT'), $text, 0);
				?>
				<a class="hasTooltip ckbutton checkedouticon" onclick="ajaxCheckin(this,<?php echo $item->id ?>)" href="javascript:void(0);" title="<?php echo $active_title; ?>">
					<i class="icon-checkedout"></i>
				</a>
			<?php endif; ?>
			<a class="hasTooltip ckbutton edittitle" title="<?php echo JText::_('COM_MENUMANAGERCK_EDIT'); ?>" onclick="editTitle(this)"><i class="icon-edit"></i></a>
		</span>
			<?php if ($canEdit) : ?>
				<span contentEditable="true" class="hasTooltip cktitle" ondblclick="editTitle(this)" href="javascript:void(0)" title="<?php echo JText::_('COM_MENUMANAGERCK_DBLCLICK_TO_EDIT'); ?>" data-id="<?php echo (int) $item->id; ?>"><?php echo $this->escape($item->title); ?></span>
				<span class="ckbutton-group">
					<span class="hasTooltip ckbutton exittitle" title="<?php echo JText::_('COM_MENUMANAGERCK_SAVE'); ?>" onclick="saveTitle($ck('.cktitle', $ck(this).parent().parent()))" style="display:none;"><i class="icon-save"></i></span>
					<span class="hasTooltip ckbutton exittitle" title="<?php echo JText::_('COM_MENUMANAGERCK_CANCEL'); ?>" onclick="exitTitle($ck('.cktitle', $ck(this).parent().parent()))" style="display:none;"><i class="icon-cancel"></i></span>
				</span>
			<?php else : ?>
				<?php echo $this->escape($item->title); ?>
			<?php endif; ?>

			<?php //if ($item->level > 1 && $hasmaximenumodule) { ?>
			<span class="ckbutton-group columnbuttons<?php if ($newcol) echo ' active'; ?><?php if (!$hasmaximenumodule) echo ' nomaximenuck' ?>">
				<a class="hasTooltip ckbutton createcolumn<?php if ($newcol) echo ' active ckbutton-primary'; ?>" title="<?php echo JText::_('COM_MENUMANAGERCK_CREATE_COLUMN'); ?>" onclick="togglecolumn(this)">
					<i class="icon-tree-2"></i>
				</a>
				<a class="hasTooltip ckbutton colwidth btnvalue" title="<?php echo JText::_('COM_MENUMANAGERCK_COLUMN_WIDTH'); ?>" onclick="changecolwidth(this)"><?php echo $item->params->get('maximenu_colwidth', '180'); ?></a>

				<a class="hasTooltip ckbutton createnewrow<?php if ($newrow) echo ' active ckbutton-primary'; ?>" title="<?php echo JText::_('COM_MENUMANAGERCK_CREATE_ROW'); ?>" onclick="createnewrow(this)"><i class="icon-reply"></i></a>
			</span>
			<?php //} ?>
			<span class="ckbutton-group submenuwidthbuttons<?php if ($item->params->get('maximenu_submenucontainerwidth', '') || $item->params->get('maximenu_submenucontainerheight', '') || $item->params->get('maximenu_leftmargin', '') || $item->params->get('maximenu_topmargin', '')) echo ' active'; ?><?php if (!$hasmaximenumodule) echo ' nomaximenuck' ?>">
				<a class="hasTooltip ckbutton submenuwidthactivation<?php if ($item->params->get('maximenu_submenucontainerwidth', '') || $item->params->get('maximenu_submenucontainerheight', '')) echo ' active'; ?>" title="<?php echo JText::_('COM_MENUMANAGERCK_SUBMENUDIMENSIONS_ACTIVATE'); ?>" onclick="togglesubmenuwidth(this)">
					<i class="icon-expand-2"></i>
				</a>
				<a class="hasTooltip ckbutton submenuwidth btnvalue" title="<?php echo JText::_('COM_MENUMANAGERCK_SUBMENUWIDTH'); ?>" onclick="changesubmenuwidth(this)"><i class="icon-menu-2"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_submenucontainerwidth', ''); ?></span></a>
				<a class="hasTooltip ckbutton submenuheight btnvalue" title="<?php echo JText::_('COM_MENUMANAGERCK_SUBMENUHEIGHT'); ?>" onclick="changesubmenuheight(this)"><i class="icon-menu-2"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_submenucontainerheight', ''); ?></span></a>
				<a class="hasTooltip ckbutton submenuleftmargin btnvalue" title="<?php echo JText::_('COM_MENUMANAGERCK_SUBMENULEFTMARGIN'); ?>" onclick="submenuleftmargin(this)"><i class="icon-arrow-right-4"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_leftmargin', ''); ?></span></a>
				<a class="hasTooltip ckbutton submenutopmargin btnvalue" title="<?php echo JText::_('COM_MENUMANAGERCK_SUBMENUTOPMARGIN'); ?>" onclick="submenutopmargin(this)"><i class="icon-arrow-down-4"></i><span class="valuetxt"><?php echo $item->params->get('maximenu_topmargin', ''); ?></span></a>
				<a class="hasTooltip ckbutton fullwidth<?php if (stristr($item->params->get('maximenu_liclass', ''), 'fullwidth')) echo ' active ckbutton-primary'; ?>" title="<?php echo JText::_('COM_MENUMANAGERCK_FULLWIDTH'); ?>" onclick="changefullwidthclass(this)"><i class="icon-expand"></i></a>
			</span>
			<a class="ckbutton pull-right itemtoggler"><i class="icon-">&#x25BC;</i></a>
			<?php if ($args['option'] == 'com_content' && $args['view'] == 'article') { 
				$title = $this->getArticleTitleById($args['id']);
				?>
				<span class="ckbutton-group pull-right"><?php echo $item->componentname ?>
				<input id="jform_request_id_name" class="input-medium" type="text" size="35" disabled="disabled" value="<?php echo $title ?>">
				<a class="ckbutton hasTooltip modal" title="" onclick="ckLoadArticleEdition(<?php echo $args['id'] ?>)" href="javascript:void(0)" data-original-title="Edit Article">
				<span class="icon-edit"></span>
				<?php echo JText::_('CK_EDIT'); ?>
				</a>
				</span>
			<?php } ?>
			<?php if ($item->params->get('maximenu_insertmodule', 0)) { ?>
				<span class="ckbutton-group pull-right">
					<input id="jform_request_id_name" class="input-medium" type="text" size="35" disabled="disabled" value="<?php echo JText::_('COM_MENUMANAGERCK_MODULE_ID') . ' = ' . $item->params->get('maximenu_module', '') ; ?>">
					<a class="ckbutton hasTooltip modal" title="" onclick="ckLoadModuleEdition(<?php echo (int) $item->params->get('maximenu_module'); ?>)" href="javascript:void(0)" data-original-title="Edit Module">
					<span class="icon-edit"></span>
					<?php echo JText::_('CK_EDIT'); ?>
					</a>
				</span>
			<?php } ?>
	</div>
	<div class="togglecontent" style="display:none;">
		<span class="small">
			<?php if ($item->type != 'url') : ?>
				<?php if (empty($item->note)) : ?>
					<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS', $this->escape($item->alias));?>
				<?php else : ?>
					<?php echo JText::sprintf('JGLOBAL_LIST_ALIAS_NOTE', $this->escape($item->alias), $this->escape($item->note));?>
				<?php endif; ?>
			<?php elseif ($item->type == 'url' && $item->note) : ?>
				<?php echo JText::sprintf('JGLOBAL_LIST_NOTE', $this->escape($item->note));?>
			<?php endif; ?>
		</span>

	<span class="pull-right">
			<a class="hasTooltip ckbutton" onclick="ajaxTrashItem(<?php echo $item->id ?>)" href="javascript:void(0);" title="<?php echo JText::_('COM_MENUMANAGERCK_DELETE_ITEM') ?>">
				<i style="color: cc0000;" class="icon-delete"></i>
			</a>
		</span>
	<span class="center hidden-phone pull-right span1">
		<span class="hasTooltip" title="<?php echo sprintf('%d-%d', $item->lft, $item->rgt);?>">
			<?php echo (int) $item->id; ?></span>
	</span>

	<span class="small hidden-phone pull-right span1">
		<?php if ($item->language == ''):?>
			<?php echo JText::_('JDEFAULT'); ?>
		<?php elseif ($item->language == '*'):?>
			<?php echo JText::alt('JALL', 'language'); ?>
		<?php else:?>
			<span class="text-warning"><?php echo $item->language_title ? $this->escape($item->language_title) : JText::_('JUNDEFINED'); ?></span>
		<?php endif;?>
	</span>
	<?php if ($assoc):?>
	<span class="small hidden-phone pull-right span1">
	<?php if ($item->association):?>
		<?php echo JHtml::_('MenusmanagerckHtml.Menus.association', $item->id);?>
		<?php endif;?>
	</span>
	<?php endif;?>
	<span class="small hidden-phone pull-right span1">
	<?php if (isset($item->access_level)) { ?>
		<?php if ($item->access != 1) { ?><span class="text-warning"><?php } ?>
			<?php echo $this->escape($item->access_level); ?>
		<?php if ($item->access != 1) { ?></span><?php } ?>
	<?php } ?>
	</span>
<span class="small pull-right span3" title="<?php echo $this->escape($item->path);?>">
			<?php echo str_repeat('<span class="gtr">&mdash;</span>', $item->level - 1) ?>
			<span class="hasTooltip" title="<?php echo isset($item->item_type_desc) ? htmlspecialchars($this->escape($item->item_type_desc), ENT_COMPAT, 'UTF-8') : ''; ?>">
				<?php echo $this->escape($item->item_type); ?>

			</span>
		</span>
	</div>
</div>
